---
Source: https://docs.microblink.com/verify/v2/ai-generated-images
Title: Detect AI-generated images
---

# Detect AI-generated images

:::info[Cloud only!]

This feature is not available in the self-hosted deployment.

:::

## Enabled by default

The API automatically checks for AI-generated images:

```json title="Response > checks array > checks array"
{
  "type": "Check",
  "name": "VisualCheck",
  "result": "Pass",
  "checks": [
    {
      "matchLevel": "Level10",
      "type": "TieredCheck",
      // highlight-next-line
      "name": "GenerativeAiCheck",
      "result": "Pass"
    },
  ]
}
```

## Tune by setting a custom match level

As with other [checks](./check.md), you can define your desired [match level](./configuration.md#match-level-options), or you can disable this check if you don't need it.

```bash
curl https://us-east.verify.microblink.com/api/v2/docver --form 'imageFront=@drivers-license.png' --form 'GenerativeAiMatchLevel=Level10' --header 'Authorization: Basic aSBiZXQgeW91IGhvcGVkIHlvdSBmb3VuZCBzb21ldGhpbmcganVpY3kK'
```

If left unset, the default is `Level5`. 

## Impact on the overall result

If the generative AI check fails, then the visual check fails, which means that the overall fraud check fails too.


Last updated on Aug 3, 2026
